'**********************************************************
' C-Control Station
'
' Beispiel - einfache Temperaturregelung mit zwei
' Heizstufen
'
' Die Raumtemperatur wird ueber einen der
' Temperatursensoren erfasst, die Relais K1 und K2 schalten
' zwei Heizkoerper, bei Temperaturen unter 15 Grad heizen
' beide Heizkoerper, ab 20 Grad nur einer, ab 22 Grad ist
' die Heizung aus
'
' Simulatortip: aktivieren Sie das Analogports-Fenster, und
' "drehen" Sie ueber A/D5 an der Temperatur, beobachten Sie
' im Fenster "Ueberwachte Variablen" den Temperaturwert,
' beobachten Sie die Relais (Ports 7 und 8) im Digitalports-
' Fenster
'**********************************************************

' --- Definitionen ---

' die Relais
define K1 port[7]
define K2 port[8]

' der Temperatursensor-Port
define T1 ad[5]

' eine Variable zur Speicherung der Temperatur
define temp word

' symbolische Konstanten fuer die Schaltschwellwerte (zehnfache Temperaturwerte)
define T_FULLPOWER 150  ' = 15.0 C
define T_HALFPOWER 180
define T_OFF 200

' --- das Programm ---

' Initialisierung
K1 = OFF
K2 = OFF

' Endlosschleife
#loop

' AD-Wandlerwert in Temperatur umrechnen 
  temp = 5 * T1 - 250

  if temp < T_FULLPOWER then K2 = ON
  if temp < T_HALFPOWER then K1 = ON
  if temp > T_HALFPOWER then K2 = OFF
  if temp > T_OFF then K1 = OFF

goto loop

